
QGIS Application - Bug report #1220

transparency for point layers does not work

2008-08-14 06:38 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11280

Description

The Transparency control on Layer Properties, Symbology for a Point layer does not  affect the map display.

on Linux and Windows, as of r9044

Associated revisions

Revision 421d5aa1 - 2009-08-05 05:22 PM - Magnus Homann

Made point symbols respect the layer transparency setting. Fixes #1220

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11275 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ca0b14db - 2009-08-05 05:22 PM - Magnus Homann

Made point symbols respect the layer transparency setting. Fixes #1220

git-svn-id: http://svn.osgeo.org/qgis/trunk@11275 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2c666b71 - 2009-08-05 06:12 PM - Magnus Homann

Different approach to backwards compatibility. Fixes #1220 again

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11276 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b4774285 - 2009-08-05 06:12 PM - Magnus Homann

Different approach to backwards compatibility. Fixes #1220 again

git-svn-id: http://svn.osgeo.org/qgis/trunk@11276 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-07-03 03:53 AM - Giovanni Manghi

This is still true as for QGis 1.2 rev. 11005.
#2 - 2009-08-05 08:22 AM - Magnus Homann

Added a fix in commit:ca0b14db (SVN r11276).

#3 - 2009-08-05 08:55 AM - Giovanni Manghi

I don't know if it was this fix, but right now I cannot compile (commit:ca0b14db (SVN r11276))

[ 59%] Generating core/core.so

sipcoreQgsRenderer.cpp: In function ‘void* init_QgsRenderer(sipWrapper*, [[PyObject]]*, sipWrapper**, int*)’:

sipcoreQgsRenderer.cpp:817: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   because the following virtual functions are pure within ‘sipQgsRenderer’:

/home/gio/Desktop/qgis_unstable/src/core/renderer/qgsrenderer.h:79: note:     virtual void [[QgsRenderer]]::renderFeature(QgsRenderContext&,

[[QgsFeature]]&, QImage*, bool, double)

sipcoreQgsRenderer.cpp:829: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   since type ‘sipQgsRenderer’ has pure virtual functions

maker3: *** [sipcoreQgsRenderer.o] Error 1

maker2: *** [python/core/core.so] Error 2

maker1: *** [python/CMakeFiles/python.dir/all] Error 2

make: *** [all] Error 2

#4 - 2009-08-05 09:12 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Okay, tried a different approach in commit:b4774285 (SVN r11277)

#5 - 2009-08-05 09:22 AM - Giovanni Manghi

seems I'm getting the same error

[ 59%] Generating core/core.so

sipcoreQgsRenderer.cpp: In function ‘void* init_QgsRenderer(sipWrapper*, [[PyObject]]*, sipWrapper**, int*)’:

sipcoreQgsRenderer.cpp:817: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   because the following virtual functions are pure within ‘sipQgsRenderer’:

/home/gio/Desktop/qgis_unstable/src/core/renderer/qgsrenderer.h:80: note:     virtual void [[QgsRenderer]]::renderFeature(QgsRenderContext&,

[[QgsFeature]]&, QImage*, bool, double)

sipcoreQgsRenderer.cpp:829: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   since type ‘sipQgsRenderer’ has pure virtual functions

maker3: *** [sipcoreQgsRenderer.o] Error 1

maker2: *** [python/core/core.so] Error 2

maker1: *** [python/CMakeFiles/python.dir/all] Error 2

make: *** [all] Error 2

#6 - 2009-08-05 09:44 AM - Magnus Homann
Three strikes and out! commit:b4f7e942 (SVN r11278)

#7 - 2009-08-05 09:50 AM - Giovanni Manghi

foul ball! :)

 59%] Generating core/Makefile, gui/Makefile

Parsing SIP files for 'core' library...

/usr/bin/sip -c core -b /home/gio/Desktop/qgis_unstable/python/core/core.sbf -I /usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x

[[PyQt]]_NoPrintRangeBug -t Qt_4_4_1 -g /home/gio/Desktop/qgis_unstable/python/core/core.sip

sip: /home/gio/Desktop/qgis_unstable/python/core/qgssymbol.sip:81: syntax error

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /home/gio/Desktop/qgis_unstable/python/gui/gui.sbf -I /home/gio/Desktop/qgis_unstable/python -I /usr/share/sip/PyQt4 -x

[[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4_1 -g /home/gio/Desktop/qgis_unstable/python/gui/gui.sip

sip: core/qgssymbol.sip:81: syntax error

Creating makefiles...

Creating qgisconfig.py...

Done

[ 59%] Generating core/core.so

sipcoreQgsRenderer.cpp: In function ‘void* init_QgsRenderer(sipWrapper*, [[PyObject]]*, sipWrapper**, int*)’:

sipcoreQgsRenderer.cpp:817: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   because the following virtual functions are pure within ‘sipQgsRenderer’:

/home/gio/Desktop/qgis_unstable/src/core/renderer/qgsrenderer.h:80: note:     virtual void [[QgsRenderer]]::renderFeature(QgsRenderContext&,

[[QgsFeature]]&, QImage*, bool, double)

sipcoreQgsRenderer.cpp:829: error: cannot allocate an object of abstract type ‘sipQgsRenderer’

sipcoreQgsRenderer.cpp:172: note:   since type ‘sipQgsRenderer’ has pure virtual functions

maker3: *** [sipcoreQgsRenderer.o] Error 1

maker2: *** [python/core/core.so] Error 2

maker1: *** [python/CMakeFiles/python.dir/all] Error 2

make: *** [all] Error 2

#8 - 2009-08-05 01:49 PM - Magnus Homann

jef did a small adjustment, does it work now?

#9 - 2009-08-06 04:19 AM - Giovanni Manghi

Replying to [comment:8 homann]:

jef did a small adjustment, does it work now?

perfect! thanks!
